* src/configure.ac: Added an optional check for krb5.h in

configure. ejabberd can now be build directly on RedHat and OpenBSD
(EJAB-100).

SVN Revision: 572
This commit is contained in:
Mickaël Rémond 2006-05-27 08:46:27 +00:00
parent c4e98624c3
commit 02dd41c178
3 changed files with 176 additions and 0 deletions

View File

@ -1,3 +1,9 @@
2006-05-27 Mickael Remond <mickael.remond@process-one.net>
* src/configure.ac: Added an optional check for krb5.h in
configure. ejabberd can now be build directly on RedHat and
OpenBSD.
2006-05-27 Alexey Shchepin <alexey@sevcom.net>
* src/msgs/sk.msg: Slovak translation (thanks to Juraj Michalek

154
src/configure vendored
View File

@ -4799,6 +4799,160 @@ fi
fi
# If ssl is kerberized it need krb5.h
KRB5_INCLUDE="`krb5-config --cflags 2>/dev/null`"
if test -n "$KRB5_INCLUDE" ; then
CPPFLAGS="$CPPFLAGS $KRB5_INCLUDE"
else
# For RedHat For BSD
for D in /usr/kerberos/include /usr/include/kerberos /usr/include/kerberosV
do
if test -d $D ; then
CPPFLAGS="$CPPFLAGS -I$D"
fi
done
fi
echo MREMOND: $CPPFLAGS
if test "${ac_cv_header_krb5_h+set}" = set; then
echo "$as_me:$LINENO: checking for krb5.h" >&5
echo $ECHO_N "checking for krb5.h... $ECHO_C" >&6
if test "${ac_cv_header_krb5_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: $ac_cv_header_krb5_h" >&5
echo "${ECHO_T}$ac_cv_header_krb5_h" >&6
else
# Is the header compilable?
echo "$as_me:$LINENO: checking krb5.h usability" >&5
echo $ECHO_N "checking krb5.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <krb5.h>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
echo "$as_me:$LINENO: checking krb5.h presence" >&5
echo $ECHO_N "checking krb5.h presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <krb5.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: krb5.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: krb5.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: krb5.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: krb5.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: krb5.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: krb5.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: krb5.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: krb5.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: krb5.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: krb5.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: krb5.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: krb5.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: krb5.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: krb5.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: krb5.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: krb5.h: in the future, the compiler will take precedence" >&2;}
(
cat <<\_ASBOX
## --------------------------------- ##
## Report this to BUG-REPORT-ADDRESS ##
## --------------------------------- ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
esac
echo "$as_me:$LINENO: checking for krb5.h" >&5
echo $ECHO_N "checking for krb5.h... $ECHO_C" >&6
if test "${ac_cv_header_krb5_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_krb5_h=$ac_header_preproc
fi
echo "$as_me:$LINENO: result: $ac_cv_header_krb5_h" >&5
echo "${ECHO_T}$ac_cv_header_krb5_h" >&6
fi
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure

View File

@ -57,4 +57,20 @@ AC_CONFIG_FILES([Makefile
$make_ejabberd_zlib])
#openssl
AM_WITH_OPENSSL
# If ssl is kerberized it need krb5.h
# On RedHat and OpenBSD, krb5.h is in an unsual place:
KRB5_INCLUDE="`krb5-config --cflags 2>/dev/null`"
if test -n "$KRB5_INCLUDE" ; then
CPPFLAGS="$CPPFLAGS $KRB5_INCLUDE"
else
# For RedHat For BSD
for D in /usr/kerberos/include /usr/include/kerberos /usr/include/kerberosV
do
if test -d $D ; then
CPPFLAGS="$CPPFLAGS -I$D"
fi
done
fi
AC_CHECK_HEADER(krb5.h,,)
AC_OUTPUT